<div [ngClass]="jds.mb(12)">
  <div
    [ngClass]="[jds.mb(12)]"
    jdsBiInputGroup
    variant="element"
  >
    <jds-bi-input-left-element>
      <jds-bi-icon
        [size]="14"
        name="magnifying-glass"
      />
    </jds-bi-input-left-element>
    <input
      #search
      [colorScheme]="colorScheme"
      (keyup)="filterSearch(search.value)"
      name="search"
      type="text"
      jdsBiInput
      placeholder="Cari Organisasi"
    />
  </div>

  <jds-bi-scrollbar [style.maxHeight.px]="250">
    <ul
      [ngClass]="[jds.ps(0), jds.mb(0)]"
      [style.listStyle]="'none'"
      [style.height]="'auto'"
      data-mcs-theme="dark"
    >
      <ng-container *ngIf="isLoadingList$ | async">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [90, 20, 50, 90, 50]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '5px'
            }"
          />
        </div>
      </ng-container>
      <ng-container *ngIf="(isLoadingList$ | async) === false">
        <ng-container *ngIf="dataTemp.length > 0">
          <li
            *ngFor="let row of dataTemp; let i = index"
            [ngClass]="[jds.mb(5), jds.pe(15)]"
          >
            <div [ngClass]="[jds.formCheck]">
              <input
                id="checkbox_organization{{ i }}"
                [(ngModel)]="row.checked"
                [ngClass]="[jds.formCheckInput]"
                (change)="filterOrganization($event.target.checked, row)"
                type="checkbox"
              />
              <label
                [ngClass]="[jds.formCheckLabel]"
                for="checkbox_organization{{ i }}"
              >
                {{ row.nama_skpd }}
              </label>
            </div>
          </li>
        </ng-container>
        <ng-container *ngIf="dataTemp.length === 0">
          <span>Tidak ada Organisasi yang ditemukan.</span>
        </ng-container>
      </ng-container>
    </ul>
  </jds-bi-scrollbar>
</div>
